%global _empty_manifest_terminate_build 0
Name:           python-oslo-concurrency
Version:        4.4.0
Release:        2
Summary:        Oslo Concurrency library
License:        Apache-2.0
URL:            https://docs.openstack.org/oslo.concurrency/latest/
Source0:        https://files.pythonhosted.org/packages/c1/f1/5e089ae314331988c580f2e8119c2dc80a65548a3b60984218c0f059d6e7/oslo.concurrency-4.4.0.tar.gz
BuildArch:      noarch
%description
OpenStack library for all concurrency-related code

%package -n python3-oslo-concurrency
Summary:        Oslo Concurrency library
Provides:       python-oslo-concurrency
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-fasteners
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-utils == 4.8.0
# Test requires
BuildRequires:  python3-pre-commit
BuildRequires:  python3-virtualenv
# General requires
Requires:       python3-fasteners
Requires:       python3-oslo-config
Requires:       python3-oslo-i18n
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
%description -n python3-oslo-concurrency
OpenStack library for all concurrency-related code

%package help
Summary:        Oslo Concurrency library
Provides:       python3-oslo-concurrency-doc
%description help
OpenStack library for all concurrency-related code

%prep
%autosetup -n oslo.concurrency-4.4.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-oslo-concurrency -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 4.4.0-2
- Fix install error

* Mon Jul 12 2021 OpenStack_SIG <openstack@openeuler.org> - 4.4.0-1
- Upgrade version
* Sat Jan 30 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires
* Sat Nov 21 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated

